BSON_ITER_BOOL(3)

SYNOPSIS

            #define BSON_ITER_HOLDS_BOOL(iter) (bson_iter_type ((iter)) == BSON_TYPE_BOOL)

            bool
            bson_iter_bool (const bson_iter_t *iter);

PARAMETERS

    •   iter: A bson_iter_t.

DESCRIPTION

The bson_iter_bool() function shall return the boolean value of a BSON_TYPE_BOOL element. It is a programming error to call this function on an element other than BSON_TYPE_BOOL. You can check this with bson_iter_type() or BSON_ITER_HOLDS_BOOL().

RETURNS

Either true or false.

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.